<div class="row">
  <div *ngFor="let product of productList; let i= index">
    <div class="col-md-3">
      <div class="card" style="width: 18rem;">
        <img src="/assets/image1.jpeg" class="card-img-top" alt="...">
        <div class="card-body">
          <h5 class="card-title">Product id: {{product.id}}</h5>
          <p class="card-text">Product name: {{product.title}}<br> Product quantity: {{product.quantity}} <br> Price: {{product.price}}$</p>
          <td>
            <button class="btn btn-success" [disabled]="product.quantity==0" (click)="buyProduct(i)">
              Buy
            </button>
          </td>
        </div>
      </div>
    </div>
  </div>
</div>
